CREATE TABLE ben_vald_hrchy_details (
    VALD_HRCHY_DETAIL_ID     NUMBER(18, 0),
    POPL_VALD_HRCHY_ID       NUMBER(18, 0),
    VALD_HRCHY_SMRY_ID       NUMBER(18, 0),
    VALD_RPT_TYP_ID          NUMBER(18, 0),
    COMP_LVL_CD              VARCHAR2(120),
    AGG_TYP_CD               VARCHAR2(120),
    VALUE1                   VARCHAR2(120),
    VALUE2                   VARCHAR2(120),
    VALUE3                   VARCHAR2(120),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    VALD_HRCHY_DETAIL_ID     NUMBER(18, 0),
    POPL_VALD_HRCHY_ID       NUMBER(18, 0),
    VALD_HRCHY_SMRY_ID       NUMBER(18, 0),
    VALD_RPT_TYP_ID          NUMBER(18, 0),
    COMP_LVL_CD              VARCHAR2(120),
    AGG_TYP_CD               VARCHAR2(120),
    VALUE1                   VARCHAR2(120),
    VALUE2                   VARCHAR2(120),
    VALUE3                   VARCHAR2(120),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_vald_hrchy_details PRIMARY KEY (VALD_HRCHY_DETAIL_ID, VALD_HRCHY_DETAIL_ID)
);
